clang 8.0.0

Public Member Functions | List of all members
clang::ento::NodeMapClosure Class Reference

`#include "clang/StaticAnalyzer/Core/BugReporter/BugReporter.h"`

Inheritance diagram for clang::ento::NodeMapClosure:
[legend]
Collaboration diagram for clang::ento::NodeMapClosure:
[legend]

## Public Member Functions
| NodeMapClosure (InterExplodedGraphMap &m)
const ExplodedNode * | getOriginalNode (const ExplodedNode *N) override
Public Member Functions inherited from clang::ento::BugReport::NodeResolver
virtual | ~NodeResolver ()=default

## Detailed Description

Definition at line 546 of file BugReporter.h.

## Constructor & Destructor Documentation

## ◆ NodeMapClosure()

clang::ento::NodeMapClosure::NodeMapClosure | ( | InterExplodedGraphMap & | m | ) |
| inline

Definition at line 550 of file BugReporter.h.

## Member Function Documentation

## ◆ getOriginalNode()

const ExplodedNode* clang::ento::NodeMapClosure::getOriginalNode | ( | const ExplodedNode * | N | ) |
| inline override virtual

Implements clang::ento::BugReport::NodeResolver.

Definition at line 552 of file BugReporter.h.

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/BugReporter/BugReporter.h